<?php
// Acquia Marina - topnotchthemes_1000 vX.X 01312008

/**
 * Set available regions
 */

function acquia_marina_regions() {
	return array(
    'sidebar_first' => t('sidebar first'),
    'sidebar_last' => t('sidebar last'),
    'header_middle' => t('header middle'),
    'header_last' => t('header last'),
    'preface_first' => t('preface first'),
    'preface_middle' => t('preface middle'),
    'preface_last' => t('preface last'),
    'content_top' => t('content top'),
    'content_bottom' => t('content bottom'),
    'postscript_first' => t('postscript first'),
    'postscript_middle' => t('postscript middle'),
    'postscript_last' => t('postscript last'),
    'footer_top' => t('footer top'),
    'footer' => t('footer'),
    'node_bottom' => t('node bottom')
  );
}


/**
 * Modify theme variables
 */
function _phptemplate_variables($hook, $vars = array()) {
  // Add advanced profile & forum variables, if available
  if (module_exists('advanced_profile')) {
    $vars = advanced_profile_addvars($hook, $vars);
  }
  if (module_exists('advanced_forum')) {
    $vars = advanced_forum_addvars($hook, $vars);
  }  

  // Get current user, check for Admin
  global $user;
  $vars['is_admin'] = in_array('admin', $user->roles);

  switch ($hook) {
    case 'page':
      // Build array of helpful body classes
      $body_classes = array();
      
      // Page user is logged in
      $vars['logged_in'] = ($user->uid > 0) ? TRUE : FALSE;
      $body_classes[] = ($vars['logged_in']) ? 'logged-in' : 'not-logged-in';
      
      // Page is front page
      $body_classes[] = ($vars['is_front']) ? 'front' : 'not-front';
      
      // Page is one full node
      $body_classes[] = ($vars['node']) ? 'full-node' : '';
      
      // Page is Panels page
      $body_classes[] = (module_exists('panels_page') && (panels_page_get_current())) ? 'panels' : '';
      
      // Page has node-type-x (node-type-page, node-type-story, etc.)
      $body_classes[] = ($vars['node']->type) ? 'node-type-'. $vars['node']->type : '';
      
      // Page sidebars are active
      $body_classes[] = 'layout-'. (($vars['sidebar_first']) ? 'first-main' : 'main') . (($vars['sidebar_last']) ? '-last' : '');
      
      // Remove empty elements & create class list separated by spaces
      $body_classes = array_filter($body_classes);
      $vars['body_classes'] = implode(' ', $body_classes);
      
      // Add preface & postscript classes with number of active sub-regions
      $region_list = array(
        'prefaces' => array('preface_first', 'preface_middle', 'preface_last'), 
        'postscripts' => array('postscript_first', 'postscript_middle', 'postscript_last')
      );
      foreach ($region_list as $sub_region_key => $sub_region_list) {
        $active_regions = array();
        foreach ($sub_region_list as $region_item) {
          if ($vars[$region_item]) {
            $active_regions[] = $region_item;
          }
        }
        $vars[$sub_region_key] = $sub_region_key .'-'. strval(count($active_regions));
      }

      // Set page title for best SEO
      if ($vars['is_front']) {
        if ($vars['site_name']) {
          $vars['head_title'] = ($vars['site_slogan']) ? $vars['site_name'] .' | '. $vars['site_slogan'] : $vars['site_name'];
        } 
        else {
          $vars['head_title'] = ($vars['site_slogan']) ? $vars['site_slogan'] : '';
        }
      } 
      else {
        if ($vars['site_name']) {
          $vars['head_title'] = ($vars['title']) ? strip_tags($vars['title']) .' | '. $vars['site_name'] : $vars['site_name'];
        } 
        else {
          $vars['head_title'] = ($vars['title']) ? strip_tags($vars['title']) : '';
        }
      }
      
      
   $theme_path = path_to_theme();   
/**
	* CUSTOM CSS
	* To add a new theme stylesheet to the site, duplicate the following line
	* and update the name of the stylesheet accordingly.  You do not need
	* to add style.css, as it will be added automatically.
	* 
	* Once CSS caching is enabled, these will all be merged into a single file
	* for a faster page download.  
	*/
	//drupal_add_css($theme_path . '/style-mystylesheet.css', 'theme');
	drupal_add_css($theme_path . '/icons.css', 'theme');
      
	// Leave this line alone.  It's what rebuilds the CSS based on the lines above
	$vars['css'] = drupal_add_css();
	      
	/**
	* REMOVE DEFAULT CSS
	* To remove a default stylesheet from the system, use a line like one of the
	* following.  $vars['css'] is the "base" portion of the array.  The next part
	* is the media type of the stylesheet (usually "all").  The next part is either
	* "module" or "theme", depending on whether it was added as part of the module
	* or theme.  The last part is the path to the CSS file.  
	* 
	* To see what values are available to be unset, uncomment the "dpr()" line below.
	* When you view the page, you will see a big ugly list of all the files in the array.
	* Comment it again when you're done to hide the ugliness.
	*/
	unset($vars['css']['all']['module']['modules/system/defaults.css']);
	      
	//dpr($vars['css']);
	// Leave this line alone.  It's what rebuilds the final CSS directive from the code above
	$vars['styles'] = drupal_get_css($vars['css']);
      
      
      break;

    case 'node':
      // Build array of helpful node classes
      $node_classes = array();
      
      // Node is odd or even
      $node_classes[] = $vars['zebra'];
      
      // Node is unpublished
      $node_classes[] = (!$vars['node']->status) ? 'node-unpublished' : '';
      
      // Node is sticky
      $node_classes[] = ($vars['sticky']) ? 'sticky' : '';
      
      // Node is teaser or full-node
      $node_classes[] = ($vars['node']->teaser) ? 'teaser' : 'full-node';
      
      // Node is type-x (node-type-page, node-type-story, etc.)
      $node_classes[] = 'node-type-'. $vars['node']->type;
      
      // Remove empty elements & create class list separated by spaces
      $node_classes = array_filter($node_classes);
      $vars['node_classes'] = implode(' ', $node_classes);

      // Add node_bottom region content
      $vars['node_bottom'] = theme('blocks', 'node_bottom');
      break;

    case 'comment':
      // Build array of helpful comment classes
      $comment_classes = array();
      
      // Comment is odd or even
      static $comment_odd = TRUE;
      $comment_classes[] = $comment_odd ? 'odd' : 'even';
      $comment_odd = !$comment_odd;

      // Comment is unpublished
      $comment_classes[] = ($vars['comment']->status == COMMENT_NOT_PUBLISHED) ? 'comment-unpublished' : '';
      
      // Comment is new
      $comment_classes[] = ($vars['comment']->new) ? 'comment-new' : '';
      
      // Comment is by anonymous user
      $comment_classes[] = ($vars['comment']->uid == 0) ? 'comment-by-anon' : '';
      
      // Comment is by current user
      $comment_classes[] = ($user->uid && $vars['comment']->uid == $user->uid) ? 'comment-mine' : '';
      
      // Comment is by node author
      $node = node_load($vars['comment']->nid);
      $vars['author_comment'] = ($vars['comment']->uid == $node->uid) ? TRUE : FALSE;
      $comment_classes[] = ($vars['author_comment']) ? 'comment-by-author' : '';
      
      // Remove empty elements & create class list separated by spaces
      $comment_classes = array_filter($comment_classes);
      $vars['comment_classes'] = implode(' ', $comment_classes);

      // If comment subjects are disabled, do not display
      if (variable_get('comment_subject_field', 1) == 0) {
        $vars['title'] = '';
      }
      break;
  }
  return $vars;
}


/**
 * Add a pager at the top of a list of comments.
 */
function phptemplate_comment_wrapper($content) {
  $comments_per_page = _comment_get_display_setting('comments_per_page');
  $content = theme('pager', NULL, $comments_per_page, 0) . $content;
  return theme_comment_wrapper($content);
}


/**
 * Menu processing functions.  Add menu id, active  
 * and first/last classes to current menu item links. 
 */
function phptemplate_menu_tree($pid = 1) {
  if ($tree = phptemplate_menu_tree_improved($pid)) {
    return "\n<ul class=\"menu\">\n". $tree ."\n</ul>\n";
  }
}

function phptemplate_menu_tree_improved($pid = 1) {
  $menu = menu_get_menu();
  $output = '';

  if (isset($menu['visible'][$pid]) && $menu['visible'][$pid]['children']) {
    $num_children = count($menu['visible'][$pid]['children']);
    for ($i=0; $i < $num_children; ++$i) {
      $mid = $menu['visible'][$pid]['children'][$i];
      $type = isset($menu['visible'][$mid]['type']) ? $menu['visible'][$mid]['type'] : NULL;
      $children = isset($menu['visible'][$mid]['children']) ? $menu['visible'][$mid]['children'] : NULL;
      $extraclass = $i == 0 ? 'first' : ($i == $num_children-1 ? 'last' : '');
      $output .= theme('menu_item', $mid, menu_in_active_trail($mid) || ($type & MENU_EXPANDED) ? theme('menu_tree', $mid) : '', count($children) == 0, $extraclass);   
    }
  }
  return $output;
}

function phptemplate_menu_item($mid, $children = '', $leaf = TRUE, $extraclass = '') {
  $item = menu_get_item($mid);                                          // get current menu item
  $front = variable_get('site_frontpage','node');
  if ((($item['path']=='<front>') && ($front==$_GET['q'])) || 
    (menu_in_active_trail($mid))) {
    $active_class = ' active';                                          // set active class
  } 
  else {                                                                // otherwise...
    $active_class = '';                                                 // do nothing
  }
  return '<li class="'. ($leaf ? 'leaf' : ($children ? 'expanded' : 'collapsed')) . ($extraclass ? ' '. $extraclass : '') . $active_class .'">'. menu_item_link($mid, TRUE, $extraclass) . $children ."</li>\n";
}


/**
 * Displays view, adds a class for the style     
 * of view (e.g., node, teaser, list, table, etc.)
 */
function phptemplate_views_view($view, $type, $nodes, $level = NULL, $args = NULL) {
  $num_nodes = count($nodes);
  if ($type == 'page') {
    drupal_set_title(filter_xss_admin(views_get_title($view, 'page')));
    views_set_breadcrumb($view);
  }
  if ($num_nodes) {
    $output .= views_get_textarea($view, $type, 'header');
  }
  if ($type != 'block' && $view->exposed_filter) {
    $output .= views_theme('views_display_filters', $view);
  }
  $plugins = _views_get_style_plugins();
  $view_type = ($type == 'block') ? $view->block_type : $view->page_type;
  if ($num_nodes || $plugins[$view_type]['even_empty']) {
    if ($level !== NULL) {
      $output .= "<div class='view-summary ". views_css_safe('view-summary-'. $view->name) ."'>". views_theme($plugins[$view_type]['summary_theme'], $view, $type, $level, $nodes, $args) .'</div>';
    }
    else {
      $output .= "<div class='view-content ". views_css_safe('view-content-'. $view->name) ."'>". views_theme($plugins[$view_type]['theme'], $view, $nodes, $type) .'</div>';
    }
    $output .= views_get_textarea($view, $type, 'footer');
    if ($type == 'block' && $view->block_more && $num_nodes >= $view->nodes_per_block) {
      $output .= theme('views_more', $view->real_url);
    }
  }
  else {
    $output .= views_get_textarea($view, $type, 'empty');
  }
  if ($view->use_pager) {
    $output .= theme('pager', '', $view->pager_limit, $view->use_pager - 1);
  }
  if ($output) {
    $output = "<div class='view". views_css_safe(' view-style-'. $view->page_type) . views_css_safe(' view-'. $view->name) ."'>$output</div>\n";
  }
  return $output;
}


/**
 * Split out taxonomy terms by vocabulary 
 */
function phptemplate_print_terms($nid) {
  $vocabularies = taxonomy_get_vocabularies();
  $output = '<ul class="taxonomy">';
  foreach ($vocabularies as $vocabulary) {
    if ($vocabularies) {
      $terms = taxonomy_node_get_terms_by_vocabulary($nid, $vocabulary->vid);
      if ($terms) {
        $links = array();
        $output .= '<li class="vocab '. $vocabulary->name .'"><span class="vocab-name">'. $vocabulary->name .': </span>';
      foreach ($terms as $term) {
        $links[] = l($term->name, taxonomy_term_path($term), array('rel' => 'tag', 'title' => strip_tags($term->description)));
      }
      $output .= implode(', ', $links);
      $output .= '</li>';
      }
    }
  }
  $output .= '</ul>';
  return $output;
}